""" Vindby
    Copyright (C) 2018  Esther Dornhelm

    This program is licensed under an Attribution-NonCommercial 4.0 International (CC BY-NC 4.0) license

    Terms and conditions of this license are defined in
    file 'LICENSE.txt', which is part of this source code package.

    See <https://creativecommons.org/licenses/by-nc/4.0/>."""


class onshoreSubstation():
    """Represents the onshore substation"""

    def __init__(self):
        self.capacity = 'None'
        self.exist = False
        self.capacityIntervals = 500

    def build(self):
        self.exist = True
        self.capacity = self.capacityIntervals

    def addCapacity(self):
        self.capacity += self.capacityIntervals